p {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-size: 16px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;

}

body {
  overflow-x: hidden;
  width: 100%;
  max-width: 100vw;
  position: relative;
}

.cuerpo-legal h1 {
  font-family: 'Inter', sans-serif;
  font-weight: 800;
  font-size: 32px;
  margin-bottom: 20px;
}

.cuerpo-legal h2 {
  font-family: 'Inter', sans-serif;
  font-weight: 600;
  font-size: 26px;
  margin-bottom: 20px;
}

.cuerpo-legal h3 {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-size: 22px;
  margin-bottom: 20px;
}

/**************************** HEADER ***************************************/

.header {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  background-color: #fbcf1f;
  height: 4rem;

  display: grid;
  grid-template-columns: 1fr auto 1fr; 
  align-items: center; 
  padding: 0 20px; 
  box-sizing: border-box; 
}

.logo {
  grid-column: 2; 
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.logo img {
  width: 3rem;
}


.boton_socio {
  grid-column: 3; 
  justify-self: end; 
  padding: 10px 20px;
  background-color: #fbcf1f;
  color: rgb(0, 0, 0);
  border-radius: 30px;
  cursor: pointer;
  border: 2px solid black;
  font-family: 'Inter', sans-serif;
  font-weight: 700;
  margin-top: 0%;
  text-decoration: none;
  transition: background-color 0.3s ease;
}

.boton_socio:hover {
  background-color: #000000;
  color: #fbcf1f;
}

.boton_socio:active {
  background-color: #fff9e1;
  color: black;
}

/****************************CIERRE HEADER ***************************************/




/****************************APERTURA DESCRIPCION***************************************/

.h1-content {
  margin-inline: 6%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 20rem;
  text-align: center;
}

.h1-content h1 {
  font-family: 'Lora', serif;
  font-weight: 700;
  font-size: 54px;
  color: #121212;

}

.titulo-inicio {
  width: 100%;
  display: flex;
  justify-content: center;
}

.titulo-inicio img {
  width: 80%;
  align-items: center;
}

.cuerpo {
  width: 100%;
  padding-left: 5%;
  padding-right: 5%;
  padding-top: 1%;
  display: flex;
  flex-direction: row;
}


.cuerpo .titulo_descripcion h1{
  font-family: 'Inter', sans-serif;
  font-weight: 700;
  font-size: 40px;
 
}

.cuerpo .titulo_descripcion h2{
  font-family: 'Inter', sans-serif;
  font-weight: 500;
  font-size: 26px;
  padding-bottom: 3%;
}

.cuerpo p {
  width: 100%;
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-size: 22px;
  color: #141414;
}

.cuerpo img {
  padding-left: 15%;
  padding-top: 2%;
  padding-right: 10%;
  margin-bottom: 10%;
  width: 50%;
  height: auto;
}

.cuerpo img:hover {
  transform: rotate(15px);
}


.boton_socio2 {
  padding: 15px 30px;
  background-color: #fbcf1f;
  color: rgb(0, 0, 0);
  border-radius: 80px;
  cursor: pointer;
  border: 2px solid black;
  font-family: 'Inter', sans-serif;
  font-weight: 700;
  font-size: 20px;
  margin-top: 10%;
  text-decoration: none;
  transition: background-color 0.3s ease;
  display: inline-block; 
  margin-top: 30px;
}

.boton_socio2:hover {
  background-color: #000000;
  color: #fbcf1f;
}

.boton_socio2:active {
  background-color: #fff9e1;
  color: black;
}






/****************************CIERRE DESCRIPCION ***************************************/

/****************************APERTURA MAPA ***************************************/
.cls-1 {
        fill: none;
      }

      .cls-2 {
        stroke-miterlimit: 10;
      }

      .cls-2, .cls-3 {
        stroke: #fff;
        stroke-width: 3px;
      }

      .cls-2, .cls-3, .cls-4 {
        fill: #fff;
      }

      .cls-5 {
        fill: #eed264;
      }

      .cls-3 {
        stroke-linejoin: round;
      }

      .cls-6 {
        fill: url(#Motivo_nuevo_7);
      }

      .cls-7 {
        fill: #2541b2;
      }

      .cls-8 {
        fill: url(#Motivo_nuevo_11);
      }

      .cls-9 {
        fill: #89e592;
      }

/****************************CIERRE MAPA ***************************************/

.mapa_div{
  padding-bottom: 5%;
  padding-top: 5%;
}

/****************************APERTURA MODAL POPUP***************************************/
.modal__container {
  display: none;
  /* inicia oculto */
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: hsla(var(--hue), 18%, 75%, 0.8);
  width: 100%;
  height: 100%;
  align-items: center;
  justify-items: center;
  overflow: hidden;
  z-index: 1000;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
}

.modal__container.show-modal {
  display: grid;
  /* 🔥 se muestra al activar */
  visibility: visible;
  opacity: 1;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(8px);
}


.show-modal {
  visibility: visible;
  opacity: 1;
}

/*caja blanca*/
.modal__content {
  margin: auto;
  width: 70%;
  height: 65%;
  top: 6%;
  position: relative;
  background-color: var(--container-color);
  text-align: center;
  transition: all .3s;
  transform: translateY(10%);
  background-color: white;
  border: 3px solid #F3D14C;
  display: flex;
  justify-content: space-between;
  text-align: left;
  border-radius: 3.5rem;

}

.show-modal .modal__content {
  transform: translateY(0);
}

.modal__close {
  display: inline-flex;
  background-color: var(--first-color);
  border-radius: .25rem;
  color: #000000;
  font-size: 1.5rem;
  position: absolute;
  top: 1.2rem;
  right: 2rem;
  cursor: pointer;
}

.modal__img {
  width: 50%;
  height: 100%;
  overflow: hidden;
  /* evita que sobresalga la imagen */
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 15px;
}


.modal__img img {
  width: 88%;
  height: 87%;
  object-fit: cover;
  /* mantiene proporción y recorta */
  object-position: 50% 50%;
  /* exactamente el centro */
  border-radius: 1.57rem;
}

.modal__img picture {
  display: contents;
}







.modal__description {
  width: 48%;

  padding-top: 3.5rem;
  padding-right: 5rem;
}

.modal__description h3 {
  font-family: 'Inter', sans-serif;
  font-weight: 600;
  font-size: 36px;
  padding-bottom: 0.5rem;
}

.modal__description h2 {
  font-family: 'Inter', sans-serif;
  font-weight: 500;
  font-size: 22px;
  padding-bottom: 0.5rem;
  padding-top: 1rem;
}

.modal__description p {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-size: 16px;
}


.modal__container .modal__content .modal__description a {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-size: 16px;
  display: flex;        
  align-items: center;   
  gap: 10px;             
  text-decoration: none; 
  color: #121212;        
}


.modal__container .modal__content .modal__description a i {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 25px;          
  font-size: 1.2rem;     
}

/****************************CIERRE MODAL POPUP ***************************************/

button {
  cursor: pointer;
  margin-top: 3%;
}


/****************************LEYENDA ***************************************/

.leyenda {
  display: flex;
  flex-direction: row;
  padding-top: 5%;
  padding-left: 5%;
  padding-right: 5;
  gap: 5%;
cursor: pointer !important;
    -webkit-tap-highlight-color: transparent;
}

.leyenda img {
  width: 50%;
}

.leyenda p {
  justify-content: center;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-size: 20px;
  color: #141414;
  
}


/**************************** FOOTER ***************************************/
.footer {
  width: 100%;
  background-color: #fbcf1f;
  overflow-x: hidden;

}

.footer .container-footer {
  width: 100%;
  max-width: 100%;
  margin-left: 20px;
  display: grid;
  grid-template-columns: 2.5fr 1.2fr 1fr 1fr;
  padding: 15px 0px;
}

.footer .container-footer .box-footer {
  align-items: center;
  justify-content: center;
}

.footer .container-footer .box-footer .footer-info {
  line-height: 150%;
  align-items: center;
  justify-content: center;
  padding-top: 0.5rem;
}

.footer .container-footer .box-footer .footer-info ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.footer .container-footer .box-footer .footer-info ul li {
  display: flex;
  align-items: center;
  gap: 16px;
  margin-bottom: 10px;
}

.footer .container-footer .box-footer .footer-info ul li a {
  text-decoration: none;
  color: #121212;
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-size: 16px;
}




.footer .container-footer .box-footer figure {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  
}

.footer .container-footer .box-footer .logotipo_acor {
  width: 22rem;
}

.container_logotipo_generalitat{  
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  padding-left: 3rem;
  padding-top: 1.2rem;
}

.footer .container-footer .box-footer .logotipo_generalitat {
  width: 8rem;
}



.footer .container-footer .rrss-footer {
  padding-top: 4px;
}

.footer .container-footer .rrss-footer a {
  display: inline-block;
  text-decoration: none;
  width: 45px;
  height: 45px;
  line-height: 45px;
  color: #121212;
  margin-right: 10px;
  text-align: center;
  transition: all 0.3s ease;
}


.footer .container-footer .rrss-footer a:HOVER {
  color: #ffffff;
}


/****************************CIERRE FOOTER ***************************************/

/****************************APERTURA PRUEBA FILTROS ***************************************/


.punto-mapa {
  display: none !important;
}


.punto-mapa.visible-filtro {
  display: block !important;
}


.boton-leyenda {
  cursor: pointer;             
  outline: none !important;    
  -webkit-tap-highlight-color: transparent;
  pointer-events: all; 
  -webkit-tap-highlight-color: transparent;
}


.boton-leyenda:focus, 
.boton-leyenda:active, 
.boton-leyenda:focus-visible {
  outline: none !important;
  box-shadow: none !important;
}


.boton-leyenda.is-active {
  opacity: 1;
  filter: drop-shadow(0px 0px 5px #fbcf1f); 
}

.leyenda_svg {
  width: 150%;
  cursor: pointer !important;
    -webkit-tap-highlight-color: transparent;
    
}

/****************************       RESPONSIVE  ***************************************/

@media screen and (max-width: 1200px) {
  body {
    overflow-x: hidden;
    position: relative;
  }

  .header {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    height: 3.5rem;
    display: grid;
    grid-template-columns: 1fr auto 1fr; 
    align-items: center;
    padding: 0 20px;
    box-sizing: border-box; 
  }

  .logo {
    grid-column: 2; 
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  }

  .logo img {
    width: 2.5rem;
  }

  .boton_socio {
  grid-column: 3; 
  justify-self: end; 
  padding: 10px 20px;
  background-color: #fbcf1f;
  color: rgb(0, 0, 0);
  border-radius: 30px;
  cursor: pointer;
  border: 3px solid black;
  font-family: 'Inter', sans-serif;
  font-weight: 700;
  margin-top: 0%;
}

.boton_socio:hover {
  background-color: #45a049;
}

.boton_socio:active {
  background-color: #f50000;
}

  /**************************** TITULO***************************************/

  .h1-content {
    margin-inline: 6%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 16rem;
    text-align: center;
  }

  .h1-content h1 {
    font-family: 'Lora', serif;
    font-weight: 700;
    font-size: 38px;
    color: #121212;

  }

  .titulo-inicio img {
    width: 100%;
    padding: 1%;
  }


.cuerpo .titulo_descripcion h1{
  font-family: 'Inter', sa  ns-serif;
  font-weight: 700;
  font-size: 28px;
  text-align: center;
  padding-left: 2%;
  padding-right: 2%;

 
}

.cuerpo .titulo_descripcion h2{
  font-family: 'Inter', sans-serif;
  font-weight: 500;
  font-size: 18px;
  padding-bottom: 3%;
  text-align: center;
}




  .cuerpo {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .cuerpo p {
    width: 100%;
    text-align: center;
    font-size: 14px;
  }

  .cuerpo img {
    display: none;
  }


  /****************************CIERRE TITULO ***************************************/




    .map-wrapper {
    width: 100%;
    overflow-x: auto; 
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch; 
    cursor: grab;
  }

    .map-container {
      width: 150vw;
 
      height: auto;
    }

.mapa_div {
    width: 200%; 
    min-width: 800px; 
    height: auto;
    display: block;
    padding: 20px 0; 
  }



    .mapa_div svg {
      width: 150%;
      height: auto;
      display: block;
    }

    .leyenda_svg {
      width: 90%;
      height: auto;
      display: block;

    }

    
    .map-wrapper::-webkit-scrollbar {
      display: none;
    }


.boton_socio2 {
  padding: 7px 14px;
  background-color: #fbcf1f;
  color: rgb(0, 0, 0);
  border-radius: 80px;
  cursor: pointer;
  border: 2px solid black;
  font-family: 'Inter', sans-serif;
  font-weight: 700;
  font-size: 20px;
  margin-top: 10%;
  text-decoration: none;
  transition: background-color 0.3s ease;
  display: inline-block; 
  margin-top: 30px;
}





    .boton_socio {
     grid-column: 3; 
     justify-self: end; 
     padding: 5px 10px;
     background-color: #fbcf1f;
     color: rgb(0, 0, 0);
     border-radius: 30px;
     cursor: pointer;
     border: 2px solid black;
     font-family: 'Inter', sans-serif; 
     font-weight: 700;
     font-size: 12px;
     margin-top: 0%;
     text-decoration: none;
     transition: background-color 0.3s ease;
}

.boton_socio:hover {
  background-color: #000000;
  color: #fbcf1f;
}

.boton_socio:active {
  background-color: #fff9e1;
  color: black;
}
  


  /****************************MODAL POPUP***************************************/

  .modal__content {
    flex-direction: column;
    width: 90%;
    height: 75vh;
    
    border-radius: 2rem;
    padding-top: 5rem;
    overflow: hidden;
    align-items: center;
  }

  .modal__img {
    width: 90%;
    height: 70%;
    overflow: hidden;
  }

  .modal__img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
  }


  .modal__description {
    width: 100%;
    padding: 2rem;
    text-align: center;

  }

  .modal__description h3 {
    font-size: 28px;
  }

  .modal__description h2 {
    font-size: 20px;
  }

  .modal__description p {
    font-size: 15px;
  }

  .modal__close {
  display: inline-flex;
  background-color: var(--first-color);
  border-radius: .25rem;
  color: #000000;
  font-size: 1.5rem;
  position: absolute;
  top: 1.2rem;
  right: 1.2rem;
  cursor: pointer;
}






  /****************************LEYENDA ***************************************/
  .leyenda {
    flex-direction: column;
  }

  .leyenda img {
    padding: 2%;
    width: 100%;
  }

  .leyenda p {
    display: none;  
  }

  /****************************FOOTER ***************************************/

  .footer {
    margin-top: 5rem;
  }

  .footer .container-footer {
    width: 90%;
    grid-template-columns: repeat(1, 1fr);
    padding: 15px 0px;

  }


  .footer .container-footer .box-footer .logotipo_acor  {
    padding-bottom: 0.5rem;
  }


.footer .container-footer .box-footer .logotipo_acor {
  width: 15rem;
}

.container_logotipo_generalitat{  
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  padding-left: 1.5rem;
  padding-top: 0rem;
}


.footer .container-footer .box-footer .logotipo_generalitat {
  width: 6rem;
}



  .footer .container-footer .rrss-footer a {
    display: inline-block;
    text-decoration: none;
    width: 45px;
    height: 45px;
    line-height: 45px;
    color: #121212;
    margin-right: 10px;

    transition: all 0.3s ease;
  }

  .footer .container-footer .box-footer .footer-info ul li a {
    text-decoration: none;
    color: #121212;
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    font-size: 14px;
  }



  .footer .container-footer .box-footer .footer-info {
  line-height: 150%;
  align-items: center;
  justify-content: center;
  padding-top: 1rem;
}

}
  /****************************CIERRE FOOTER ***************************************/

   /****************************APERTURA LEYENDA ***************************************/



   /****************************CIERRE LEYENDA ***************************************/

  
